Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server Support for Apache Beehive

## com.bea.control
Class JdbcControl.SQLFragment

    java.lang.Object
      com.bea.control.JdbcControl.SQLFragment

Enclosing class:
  JdbcControl

public static class JdbcControl.SQLFragment
extends Object

SQLFragment.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected List` | `parameters`
`protected CharSequence` | `sql`

Constructor Summary
`JdbcControl.SQLFragment()` Create a new SQLFragment.
`JdbcControl.SQLFragment(String sql, JdbcControl.SQLParameter[] parameters)` Create a new SQLFragment with the specified SQL and parameter list.

Method Summary
`JdbcControl.SQLParameter[]` | `getParameters()` Get the parameters contained within this fragment.
`String` | `getSQL()` Get the SQL of this fragment.
`String` | `toString()` Get the SQL string contained within this fragment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parameters

    protected List parameters

### sql

    protected CharSequence sql

Constructor Detail

### JdbcControl.SQLFragment

    public JdbcControl.SQLFragment()

  Create a new SQLFragment.

### JdbcControl.SQLFragment

    public JdbcControl.SQLFragment(String sql,
                                   JdbcControl.SQLParameter[] parameters)

  Create a new SQLFragment with the specified SQL and parameter list.

Parameters:
  `sql` - SQL contents of the fragment.
  `parameters` - Substitution parameters.

Method Detail

### getParameters

    public JdbcControl.SQLParameter[] getParameters()

  Get the parameters contained within this fragment. Returns a zero-based array (NOTE: ResultSet is one-based).

  Returns:
    SQLParameter array.

### getSQL

    public String getSQL()

  Get the SQL of this fragment.

  Returns:
    String.

### toString

    public String toString()

  Get the SQL string contained within this fragment.

  Returns:
    String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD